function f=projasyminf(x,left,right)
% projection on shifted (asymmetric) ell_infinity ball
% x = vector
% left= left edges of interval
% right= right edges of interval
% no checking of left<right is done. Typically left<0 and right>0, but this
% is not necessary.

% Last modified by Ignace Loris (igloris@ulb.ac.be) on 28/08/2012

f=x;
for i=1:numel(x)
    if x(i)<left(i)
        f(i)=left(i);
    elseif x(i)>right(i)
        f(i)=right(i);
    end;
end