function y=projl1group(x,r,groups)
%projection on mixed-norm ball of radius r
% projection on max_g{||x_g|\_1}<=r ball
% this norm is dual to \sum_g max_i{|x_g,i|} norm
% works for column vector

% Last modified by Ignace Loris (igloris@ulb.ac.be) on 09/10/2012

y=zeros(size(x));
for g=1:numel(groups)
    y(groups{g})=projl1(x(groups{g}),r);
end