function f=structure2tex(p,varargin)
%convert the structure p to a string with all the field names and their
%values, separated by vertical lines (latex code)

% Last modified by Ignace Loris (igloris@vub.ac.be) on 24/11/2009

if nargin>1
    separator=varargin{1};
else
    separator='\textbar ';
end;

f=separator;%start with empty string
nm=fieldnames(p);
for i=1:length(nm)
    valuestring=num2str(getfield(p,nm{i}));
    namestring=nm{i};
    f=[f namestring '=' valuestring separator];
end;