function f=mixednorm(x,groups)
% calculate the mixed norm of x:
% f=\sum_{g\in groups} max_{i\in group g}(|x_i|)

% Last modified by Ignace Loris (igloris@ulb.ac.be) on 9/10/2012

f=0;
for g=1:numel(groups)
    f=f+max(abs(x(groups{g})));
end