function y=softgroup(x,lambda,groups)
% proximity operator of mixed-norm ball lambda*\sum_g max_i{|x_g,i|}
% works for column vector

% Last modified by Ignace Loris (igloris@ulb.ac.be) on 15/07/2013

y=x;
for g=1:numel(groups)
    y(groups{g})=x(groups{g})-projl1(x(groups{g}),lambda);
end